<template>
  <div class="container--singin h-screen">
    <div class="container mx-auto flex items-center justify-center h-full">
      <main class="grid grid-cols-2 h-5/6 drop-shadow-lg">
        <section class="container--logo flex items-center justify-center rounded-l-lg">
          <figure>
            <img class="logo" src="@/shared/assets/JoinBrands-Logo.png" alt="Join Brands Logo">
          </figure>
        </section>
        <section class="container--form flex flex-col items-center justify-center">
            <slot name="content"></slot>
        </section>
      </main>
    </div>
  </div>
</template>

<style lang="sass" scoped>
@import '../../shared/sass/colors.sass'

.container--singin
  background: $gray-light
.container--logo
  background: $blue
.container--form
  background: $white
.logo
  height: 200px
  width: auto
</style>